Package Details: sigil-git 2.0.2.r66.gafab2835-1

Git Clone URL: https://aur.archlinux.org/sigil-git.git (read-only, click to copy)
Package Base: sigil-git
Description: multi-platform EPUB2/EPUB3 ebook editor
Upstream URL: https://github.com/Sigil-Ebook/Sigil
Licenses: GPL-3.0-or-later
Conflicts: sigil
Provides: sigil
Submitter: yangtsesu
Maintainer: xiota
Last Packager: xiota
Votes: 11
Popularity: 0.000199
First Submitted: 2011-12-02 10:53 (UTC)
Last Updated: 2024-02-21 08:01 (UTC)

Dependencies (23)

Required by (0)

Sources (4)

Latest Comments

1 2 3 4 Next › Last »

xiota commented on 2022-08-03 12:53 (UTC) (edited on 2022-08-03 14:15 (UTC) by xiota)

@duckunix I think you are looking at the wrong package. This is sigil, not sigal. It looks like you are the maintainer of sigal, so you are free to update the package.

duckunix commented on 2022-08-03 11:59 (UTC)

Hello! Thanks for taking the time to keep this package up to date.

During my normal AUR update run, the build for this package failed due to missing sphinx-build command. A quick fix to the PKGBUILD to get things moving again:

diff --git a/PKGBUILD b/PKGBUILD
index 4c051c0..9085459 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
 _pkgname_base=sigal
 pkgname=$_pkgname_base-git

-pkgver=r1280.86279cf
+pkgver=r1302.5ee967b
 pkgrel=1
 pkgdesc="Simple Static Gallery Generator"
 arch=("any")
@@ -13,7 +13,7 @@ optdepends=( 'python-boto: upload to S3 plugin' 'python-brotli: compress assets

 provides=('sigal')
 conflicts=('sigal')
-makedepends=('git')
+makedepends=( 'git' 'python-sphinx' )

 source=($pkgname::'git+https://github.com/saimn/sigal')

Hope this helps!

xiota commented on 2022-08-03 06:38 (UTC) (edited on 2022-08-03 07:51 (UTC) by xiota)

@MarsSeed I'd seen some other packages had pkgver in the source array, but avoiding recloning the repository makes sense. I've made the changes you've suggested.

MarsSeed commented on 2022-08-03 05:51 (UTC)

Hi @xiota,

Thanks for updating this. Please kindly remove pkgver from the git dir name in source=() array. It will force the whole git repo to be re-cloned in full every time, whereas it is not necessary. Please use a non-changing git clone dir name, or remove the {srcname}:: prefix altogether for the git repo URL in source=() array. Thank you in advance!

eschwartz commented on 2015-09-27 08:36 (UTC)

I'll take a look at it.

<deleted-account> commented on 2015-09-24 20:19 (UTC)

@Eschwartz: Thanks for bringing this to my attention. Unfortunately, I've moved away from Arch Linux in the last couple of months, and no longer use Sigil, so I'm unable to dedicate the time to fixing this package. I'm disowning the package, so anyone is free to step up to maintain it.

eschwartz commented on 2015-09-24 17:52 (UTC)

Sigil 0.8.900 has been released and is going to need changes to build. Copy-pasting the message I posted when flagging it out of date in community: http://sigil-ebook.com/2015/09/24/sigil-0-8-900-released-first-of-the-pre-sigil-0-9-0-release-series/ Note: The Sigil internals changed a lot, and among others include modified and incompatible upstream libraries which apparently should NOT be replaced by system libs. e.g. Gumbo HTML5 parser is an actual fork: https://github.com/Sigil-Ebook/Sigil/blob/master/internal/about.md https://github.com/Sigil-Ebook/Sigil/blob/master/internal/gumbo/README.md Also, for the plugin architecture, python-{lxml,PIL,regex,six,html5lib} should be dependencies (optional?) as I believe the expectation is that plugins are allowed to assume those site-packages are installed and available by default. Some parts may be required to run Sigil itself. (Not beautifulsoup4, it is forked, bundled and namespaced as sigil_bs4 because "reasons".) Current build directions have changed: https://github.com/Sigil-Ebook/Sigil/blob/master/docs/BuildingOnLinux.md May need some playing around.

<deleted-account> commented on 2015-07-20 17:54 (UTC)

@blackhole Ah, I don't know how much help I'll be in troubleshooting this problem, then. I don't use a Qt-based desktop environment, and sigil is one of the only Qt applications I use. You might need to seek out help either from the author of sigil, or from someone more knowledgeable about Qt applications and Plasma. Sorry I couldn't be of any help.

blackhole commented on 2015-07-20 17:26 (UTC)

The problem is strange. From Lxqt is starting fine, but from Plasma is crashing. Moreover, in both, sometime it hangs, for example if I change cover...

<deleted-account> commented on 2015-07-20 17:07 (UTC)

@blackhole That's odd. Did you install sigil with pacman? If so, would you mind telling me the version and build date? You can find those by running pacman -Qi sigil. The version of sigil available through pacman runs fine on my machine, and I'm rebuilding sigil-git right now to test it out. Let me know if you continue to have trouble with these packages, and I'll do my best to help you out.